package com.mortals.xhx.module.attendance.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceRecordDetailEntity;
/**
* 考勤打卡记录详细信息查询对象
*
* @author zxfei
* @date 2023-04-07
*/
public class AttendanceRecordDetailQuery extends AttendanceRecordDetailEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 考勤记录ID */
    private Long recordIdStart;

    /** 结束 考勤记录ID */
    private Long recordIdEnd;

    /** 增加 考勤记录ID */
    private Long recordIdIncrement;

    /** 考勤记录ID列表 */
    private List <Long> recordIdList;

    /** 考勤记录ID排除列表 */
    private List <Long> recordIdNotList;

    /** 开始 班次ID */
    private Long shiftsIdStart;

    /** 结束 班次ID */
    private Long shiftsIdEnd;

    /** 增加 班次ID */
    private Long shiftsIdIncrement;

    /** 班次ID列表 */
    private List <Long> shiftsIdList;

    /** 班次ID排除列表 */
    private List <Long> shiftsIdNotList;

    /** 班次名称 */
    private List<String> shiftsNameList;

    /** 班次名称排除列表 */
    private List <String> shiftsNameNotList;
    /** 开始 上班打卡时间 */
    private String goWorkDateStart;

    /** 结束 上班打卡时间 */
    private String goWorkDateEnd;

    /** 开始 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer goWorkResultStart;

    /** 结束 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer goWorkResultEnd;

    /** 增加 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer goWorkResultIncrement;

    /** 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)列表 */
    private List <Integer> goWorkResultList;

    /** 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)排除列表 */
    private List <Integer> goWorkResultNotList;

    /** 开始 下班打卡时间 */
    private String offWorkDateStart;

    /** 结束 下班打卡时间 */
    private String offWorkDateEnd;

    /** 开始 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer offWorkResultStart;

    /** 结束 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer offWorkResultEnd;

    /** 增加 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退) */
    private Integer offWorkResultIncrement;

    /** 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)列表 */
    private List <Integer> offWorkResultList;

    /** 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)排除列表 */
    private List <Integer> offWorkResultNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceRecordDetailQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceRecordDetailQuery> andConditionList;

    public AttendanceRecordDetailQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 考勤记录ID
    * @return recordIdStart
    */
    public Long getRecordIdStart(){
        return this.recordIdStart;
    }

    /**
    * 设置 开始 考勤记录ID
    * @param recordIdStart
    */
    public void setRecordIdStart(Long recordIdStart){
        this.recordIdStart = recordIdStart;
    }

    /**
    * 获取 结束 考勤记录ID
    * @return $recordIdEnd
    */
    public Long getRecordIdEnd(){
        return this.recordIdEnd;
    }

    /**
    * 设置 结束 考勤记录ID
    * @param recordIdEnd
    */
    public void setRecordIdEnd(Long recordIdEnd){
        this.recordIdEnd = recordIdEnd;
    }

    /**
    * 获取 增加 考勤记录ID
    * @return recordIdIncrement
    */
    public Long getRecordIdIncrement(){
        return this.recordIdIncrement;
    }

    /**
    * 设置 增加 考勤记录ID
    * @param recordIdIncrement
    */
    public void setRecordIdIncrement(Long recordIdIncrement){
        this.recordIdIncrement = recordIdIncrement;
    }

    /**
    * 获取 考勤记录ID
    * @return recordIdList
    */
    public List<Long> getRecordIdList(){
        return this.recordIdList;
    }

    /**
    * 设置 考勤记录ID
    * @param recordIdList
    */
    public void setRecordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
    }

    /**
    * 获取 考勤记录ID
    * @return recordIdNotList
    */
    public List<Long> getRecordIdNotList(){
        return this.recordIdNotList;
    }

    /**
    * 设置 考勤记录ID
    * @param recordIdNotList
    */
    public void setRecordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
    }


    /**
    * 获取 开始 班次ID
    * @return shiftsIdStart
    */
    public Long getShiftsIdStart(){
        return this.shiftsIdStart;
    }

    /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public void setShiftsIdStart(Long shiftsIdStart){
        this.shiftsIdStart = shiftsIdStart;
    }

    /**
    * 获取 结束 班次ID
    * @return $shiftsIdEnd
    */
    public Long getShiftsIdEnd(){
        return this.shiftsIdEnd;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public void setShiftsIdEnd(Long shiftsIdEnd){
        this.shiftsIdEnd = shiftsIdEnd;
    }

    /**
    * 获取 增加 班次ID
    * @return shiftsIdIncrement
    */
    public Long getShiftsIdIncrement(){
        return this.shiftsIdIncrement;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public void setShiftsIdIncrement(Long shiftsIdIncrement){
        this.shiftsIdIncrement = shiftsIdIncrement;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdList
    */
    public List<Long> getShiftsIdList(){
        return this.shiftsIdList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public void setShiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
    }

    /**
    * 获取 班次ID
    * @return shiftsIdNotList
    */
    public List<Long> getShiftsIdNotList(){
        return this.shiftsIdNotList;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdNotList
    */
    public void setShiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
    }


    /**
    * 获取 班次名称
    * @return shiftsNameList
    */
    public List<String> getShiftsNameList(){
        return this.shiftsNameList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public void setShiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
    }

    /**
    * 获取 班次名称
    * @return shiftsNameNotList
    */
    public List<String> getShiftsNameNotList(){
        return this.shiftsNameNotList;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameNotList
    */
    public void setShiftsNameNotList(List<String> shiftsNameNotList){
        this.shiftsNameNotList = shiftsNameNotList;
    }

    /**
    * 获取 开始 上班打卡时间
    * @return goWorkDateStart
    */
    public String getGoWorkDateStart(){
        return this.goWorkDateStart;
    }

    /**
    * 设置 开始 上班打卡时间
    * @param goWorkDateStart
    */
    public void setGoWorkDateStart(String goWorkDateStart){
        this.goWorkDateStart = goWorkDateStart;
    }

    /**
    * 获取 结束 上班打卡时间
    * @return goWorkDateEnd
    */
    public String getGoWorkDateEnd(){
        return this.goWorkDateEnd;
    }

    /**
    * 设置 结束 上班打卡时间
    * @param goWorkDateEnd
    */
    public void setGoWorkDateEnd(String goWorkDateEnd){
        this.goWorkDateEnd = goWorkDateEnd;
    }

    /**
    * 获取 开始 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return goWorkResultStart
    */
    public Integer getGoWorkResultStart(){
        return this.goWorkResultStart;
    }

    /**
    * 设置 开始 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultStart
    */
    public void setGoWorkResultStart(Integer goWorkResultStart){
        this.goWorkResultStart = goWorkResultStart;
    }

    /**
    * 获取 结束 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return $goWorkResultEnd
    */
    public Integer getGoWorkResultEnd(){
        return this.goWorkResultEnd;
    }

    /**
    * 设置 结束 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultEnd
    */
    public void setGoWorkResultEnd(Integer goWorkResultEnd){
        this.goWorkResultEnd = goWorkResultEnd;
    }

    /**
    * 获取 增加 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return goWorkResultIncrement
    */
    public Integer getGoWorkResultIncrement(){
        return this.goWorkResultIncrement;
    }

    /**
    * 设置 增加 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultIncrement
    */
    public void setGoWorkResultIncrement(Integer goWorkResultIncrement){
        this.goWorkResultIncrement = goWorkResultIncrement;
    }

    /**
    * 获取 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return goWorkResultList
    */
    public List<Integer> getGoWorkResultList(){
        return this.goWorkResultList;
    }

    /**
    * 设置 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultList
    */
    public void setGoWorkResultList(List<Integer> goWorkResultList){
        this.goWorkResultList = goWorkResultList;
    }

    /**
    * 获取 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return goWorkResultNotList
    */
    public List<Integer> getGoWorkResultNotList(){
        return this.goWorkResultNotList;
    }

    /**
    * 设置 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultNotList
    */
    public void setGoWorkResultNotList(List<Integer> goWorkResultNotList){
        this.goWorkResultNotList = goWorkResultNotList;
    }


    /**
    * 获取 开始 下班打卡时间
    * @return offWorkDateStart
    */
    public String getOffWorkDateStart(){
        return this.offWorkDateStart;
    }

    /**
    * 设置 开始 下班打卡时间
    * @param offWorkDateStart
    */
    public void setOffWorkDateStart(String offWorkDateStart){
        this.offWorkDateStart = offWorkDateStart;
    }

    /**
    * 获取 结束 下班打卡时间
    * @return offWorkDateEnd
    */
    public String getOffWorkDateEnd(){
        return this.offWorkDateEnd;
    }

    /**
    * 设置 结束 下班打卡时间
    * @param offWorkDateEnd
    */
    public void setOffWorkDateEnd(String offWorkDateEnd){
        this.offWorkDateEnd = offWorkDateEnd;
    }

    /**
    * 获取 开始 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return offWorkResultStart
    */
    public Integer getOffWorkResultStart(){
        return this.offWorkResultStart;
    }

    /**
    * 设置 开始 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultStart
    */
    public void setOffWorkResultStart(Integer offWorkResultStart){
        this.offWorkResultStart = offWorkResultStart;
    }

    /**
    * 获取 结束 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return $offWorkResultEnd
    */
    public Integer getOffWorkResultEnd(){
        return this.offWorkResultEnd;
    }

    /**
    * 设置 结束 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultEnd
    */
    public void setOffWorkResultEnd(Integer offWorkResultEnd){
        this.offWorkResultEnd = offWorkResultEnd;
    }

    /**
    * 获取 增加 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return offWorkResultIncrement
    */
    public Integer getOffWorkResultIncrement(){
        return this.offWorkResultIncrement;
    }

    /**
    * 设置 增加 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultIncrement
    */
    public void setOffWorkResultIncrement(Integer offWorkResultIncrement){
        this.offWorkResultIncrement = offWorkResultIncrement;
    }

    /**
    * 获取 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return offWorkResultList
    */
    public List<Integer> getOffWorkResultList(){
        return this.offWorkResultList;
    }

    /**
    * 设置 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultList
    */
    public void setOffWorkResultList(List<Integer> offWorkResultList){
        this.offWorkResultList = offWorkResultList;
    }

    /**
    * 获取 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @return offWorkResultNotList
    */
    public List<Integer> getOffWorkResultNotList(){
        return this.offWorkResultNotList;
    }

    /**
    * 设置 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultNotList
    */
    public void setOffWorkResultNotList(List<Integer> offWorkResultNotList){
        this.offWorkResultNotList = offWorkResultNotList;
    }


    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public AttendanceRecordDetailQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public AttendanceRecordDetailQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public AttendanceRecordDetailQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public AttendanceRecordDetailQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public AttendanceRecordDetailQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public AttendanceRecordDetailQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  考勤记录ID
    * @param recordId
    */
    public AttendanceRecordDetailQuery recordId(Long recordId){
	    setRecordId(recordId);
		return this;
    }
	
	 /**
    * 设置 开始 考勤记录ID
    * @param recordIdStart
    */
    public AttendanceRecordDetailQuery recordIdStart(Long recordIdStart){
		this.recordIdStart = recordIdStart;
		return this;
    }

    /**
    * 设置 结束 考勤记录ID
    * @param recordIdEnd
    */
    public AttendanceRecordDetailQuery recordIdEnd(Long recordIdEnd){
		this.recordIdEnd = recordIdEnd;
		return this;
    }

    /**
    * 设置 增加 考勤记录ID
    * @param recordIdIncrement
    */
    public AttendanceRecordDetailQuery recordIdIncrement(Long recordIdIncrement){
		this.recordIdIncrement = recordIdIncrement;
		return this;
    }

    /**
    * 设置 考勤记录ID
    * @param recordIdList
    */
    public AttendanceRecordDetailQuery recordIdList(List<Long> recordIdList){
        this.recordIdList = recordIdList;
		return this;
        }

        /**
        * 设置 考勤记录ID
        * @param recordIdNotList
        */
        public AttendanceRecordDetailQuery recordIdNotList(List<Long> recordIdNotList){
        this.recordIdNotList = recordIdNotList;
        return this;
        }

    /**
    * 设置  班次ID
    * @param shiftsId
    */
    public AttendanceRecordDetailQuery shiftsId(Long shiftsId){
	    setShiftsId(shiftsId);
		return this;
    }
	
	 /**
    * 设置 开始 班次ID
    * @param shiftsIdStart
    */
    public AttendanceRecordDetailQuery shiftsIdStart(Long shiftsIdStart){
		this.shiftsIdStart = shiftsIdStart;
		return this;
    }

    /**
    * 设置 结束 班次ID
    * @param shiftsIdEnd
    */
    public AttendanceRecordDetailQuery shiftsIdEnd(Long shiftsIdEnd){
		this.shiftsIdEnd = shiftsIdEnd;
		return this;
    }

    /**
    * 设置 增加 班次ID
    * @param shiftsIdIncrement
    */
    public AttendanceRecordDetailQuery shiftsIdIncrement(Long shiftsIdIncrement){
		this.shiftsIdIncrement = shiftsIdIncrement;
		return this;
    }

    /**
    * 设置 班次ID
    * @param shiftsIdList
    */
    public AttendanceRecordDetailQuery shiftsIdList(List<Long> shiftsIdList){
        this.shiftsIdList = shiftsIdList;
		return this;
        }

        /**
        * 设置 班次ID
        * @param shiftsIdNotList
        */
        public AttendanceRecordDetailQuery shiftsIdNotList(List<Long> shiftsIdNotList){
        this.shiftsIdNotList = shiftsIdNotList;
        return this;
        }


	/**
    * 设置 班次名称
    * @param shiftsName
    */
    public AttendanceRecordDetailQuery shiftsName(String shiftsName){
        setShiftsName(shiftsName);
		return this;
    }

    /**
    * 设置 班次名称
    * @param shiftsNameList
    */
    public AttendanceRecordDetailQuery shiftsNameList(List<String> shiftsNameList){
        this.shiftsNameList = shiftsNameList;
		return this;
    }


    /**
    * 设置  上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResult
    */
    public AttendanceRecordDetailQuery goWorkResult(Integer goWorkResult){
	    setGoWorkResult(goWorkResult);
		return this;
    }
	
	 /**
    * 设置 开始 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultStart
    */
    public AttendanceRecordDetailQuery goWorkResultStart(Integer goWorkResultStart){
		this.goWorkResultStart = goWorkResultStart;
		return this;
    }

    /**
    * 设置 结束 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultEnd
    */
    public AttendanceRecordDetailQuery goWorkResultEnd(Integer goWorkResultEnd){
		this.goWorkResultEnd = goWorkResultEnd;
		return this;
    }

    /**
    * 设置 增加 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultIncrement
    */
    public AttendanceRecordDetailQuery goWorkResultIncrement(Integer goWorkResultIncrement){
		this.goWorkResultIncrement = goWorkResultIncrement;
		return this;
    }

    /**
    * 设置 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param goWorkResultList
    */
    public AttendanceRecordDetailQuery goWorkResultList(List<Integer> goWorkResultList){
        this.goWorkResultList = goWorkResultList;
		return this;
        }

        /**
        * 设置 上班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
        * @param goWorkResultNotList
        */
        public AttendanceRecordDetailQuery goWorkResultNotList(List<Integer> goWorkResultNotList){
        this.goWorkResultNotList = goWorkResultNotList;
        return this;
        }


    /**
    * 设置  下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResult
    */
    public AttendanceRecordDetailQuery offWorkResult(Integer offWorkResult){
	    setOffWorkResult(offWorkResult);
		return this;
    }
	
	 /**
    * 设置 开始 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultStart
    */
    public AttendanceRecordDetailQuery offWorkResultStart(Integer offWorkResultStart){
		this.offWorkResultStart = offWorkResultStart;
		return this;
    }

    /**
    * 设置 结束 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultEnd
    */
    public AttendanceRecordDetailQuery offWorkResultEnd(Integer offWorkResultEnd){
		this.offWorkResultEnd = offWorkResultEnd;
		return this;
    }

    /**
    * 设置 增加 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultIncrement
    */
    public AttendanceRecordDetailQuery offWorkResultIncrement(Integer offWorkResultIncrement){
		this.offWorkResultIncrement = offWorkResultIncrement;
		return this;
    }

    /**
    * 设置 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
    * @param offWorkResultList
    */
    public AttendanceRecordDetailQuery offWorkResultList(List<Integer> offWorkResultList){
        this.offWorkResultList = offWorkResultList;
		return this;
        }

        /**
        * 设置 下班打卡结果(1.正常,2.请假,3.缺卡,4.迟到,5.早退)
        * @param offWorkResultNotList
        */
        public AttendanceRecordDetailQuery offWorkResultNotList(List<Integer> offWorkResultNotList){
        this.offWorkResultNotList = offWorkResultNotList;
        return this;
        }


	/**
    * 设置 备注
    * @param remark
    */
    public AttendanceRecordDetailQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public AttendanceRecordDetailQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public AttendanceRecordDetailQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public AttendanceRecordDetailQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public AttendanceRecordDetailQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public AttendanceRecordDetailQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public AttendanceRecordDetailQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public AttendanceRecordDetailQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AttendanceRecordDetailQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AttendanceRecordDetailQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AttendanceRecordDetailQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AttendanceRecordDetailQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AttendanceRecordDetailQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public AttendanceRecordDetailQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AttendanceRecordDetailQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AttendanceRecordDetailQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AttendanceRecordDetailQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AttendanceRecordDetailQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}